<ui:composition xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.pam.ViewGraphml']}</h1>

                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.pam.ViewGraphml']}
                        <a4j:commandLink id="fullScreenIcon" styleClass="pull-right"
                                         onclick="jq162('#graphImage').modal('show');">
                            <span class="fa fa-expand"></span>
                        </a4j:commandLink>
                    </ui:define>
                    #{graphmlManager.displayGraph()}
                    <h:panelGroup rendered="#{!graphmlManager.editMode}">

                        <div class="row">
                            <div class="col-lg-9">
                                <dl class="dl-horizontal">
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                                        <h:outputText value="#{graphmlManager.selectedGraph.id}"/>
                                        <h:commandLink id="downloadButton"
                                                       actionListener="#{graphmlManager.selectedGraph.downloadSelectedGraph()}">
                                            <span class="gzl-icon-download"></span>
                                        </h:commandLink>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['gazelle.HL7Common.Name']}</ui:define>
                                        <h:outputText value="#{graphmlManager.selectedGraph.name}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}
                                        </ui:define>
                                        <h:outputText value="#{graphmlManager.selectedGraph.description}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Movements']}</ui:define>
                                        <h:outputText value="#{graphmlManager.selectedGraph.edges}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.PatientStatuses']}</ui:define>
                                        <h:outputText value="#{graphmlManager.selectedGraph.vertices}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['gazelle.PAMSimulator.PathToGraphml']}</ui:define>
                                        <h:outputText value="#{graphmlManager.selectedGraph.graphmlLink}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['gazelle.PAMSimulator.PathToImage']}</ui:define>
                                        <h:outputText value="#{graphmlManager.selectedGraph.imageLink}"/>
                                    </s:decorate>
                                </dl>
                            </div>
                            <div class="col-lg-3">
                                <ui:decorate template="/layout/popup/_popup.xhtml">
                                    <ui:param name="styleClass" value="bigPopUp"/>
                                    <ui:param name="popup_id" value="graphImage"/>
                                    <img width="100%"
                                         src="data:image/png;base64,#{graphmlManager.selectedGraph.displaySelectedImage()}"/>
                                </ui:decorate>
                                <img width="100%"
                                     src="data:image/png;base64,#{graphmlManager.selectedGraph.displaySelectedImage()}"/>

                            </div>
                        </div>
                    </h:panelGroup>
                    <h:panelGroup rendered="#{graphmlManager.editMode}">
                        <s:div style="word-wrap: break-word;" id="supportedEvents">
                            <h:outputText value="#{graphmlManager.displaySupportedEvents()}" styleClass="gzl-label gzl-label-blue"/>
                            <br/><br/>
                        </s:div>
                        <div class="row">
                            <div class="col-lg-6">
                                <h:outputText value="#{messages['gazelle.pam.GraphMLFile']}"/>
                                <rich:fileUpload id="uploadGraphml"
                                                 fileUploadListener="#{graphmlManager.uploadGraphmlEventListener}"
                                                 maxFilesQuantity="1" acceptedTypes="graphml" listHeight="60px"
                                                 immediateUpload="true">
                                    <a4j:ajax event="uploadcomplete"
                                              oncomplete="#{graphmlManager.isUploadedFileInvalid()} &amp;&amp; $('#globalForm\\\\:uploadGraphml .rf-fu-btn-cnt-clr').click()"
                                              render="graphError"
                                            />
                                </rich:fileUpload>
                            </div>
                            <div class="col-lg-6">
                                <h:outputText value="#{messages['gazelle.pam.ImageFileForPreview']}"/>
                                <rich:fileUpload id="uploadImage"
                                                 fileUploadListener="#{graphmlManager.uploadImageEventListener}"
                                                 maxFilesQuantity="1" acceptedTypes="jpg,jpeg,png,gif,svg"
                                                 listHeight="60px"
                                                 immediateUpload="true">
                                    <a4j:ajax event="uploadcomplete" render="buttonsDiv"/>
                                </rich:fileUpload>
                            </div>
                        </div>
                        <s:div id="graphError">
                            <s:div style="word-wrap: break-word;" rendered="#{graphmlManager.notValidEdges.size() != 0}">
                                <h:outputText value="#{graphmlManager.displayUnsupportedEvents()}" styleClass="gzl-label gzl-label-red"/>
                                <br/><br/>
                            </s:div>
                        </s:div>

                        <ui:decorate template="/layout/panels/_panel.xhtml">
                            <div class="form-horizontal">

                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="name"/>
                                    <ui:define name="label">
                                        <h:outputText value="#{messages['gazelle.HL7Common.Name']}"/>
                                    </ui:define>
                                    <h:inputText id="name"
                                                 value="#{graphmlManager.selectedGraph.name}"
                                                 required="true"
                                                 styleClass="form-control"/>
                                </s:decorate>
                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="description"/>
                                    <ui:define name="label">
                                        <h:outputText value="#{messages['net.ihe.gazelle.simulators.Description']}"/>
                                    </ui:define>
                                    <h:inputTextarea id="description" cols="80" rows="3"
                                                     value="#{graphmlManager.selectedGraph.description}"
                                                     required="true"
                                                     styleClass="form-control"/>
                                </s:decorate>
                            </div>
                        </ui:decorate>
                    </h:panelGroup>

                    <ui:define name="panel_footer">
                        <a4j:commandButton id="editButton"
                                           styleClass="gzl-btn-blue"
                                           action="#{graphmlManager.setEditMode(true)}"
                                           rendered="#{s:hasRole('admin_role') and !graphmlManager.editMode}"
                                           value="#{messages['users.Edit']}" render="globalDiv"/>
                        <a4j:commandButton id="submitButton"
                                           styleClass="gzl-btn-green"
                                           action="#{graphmlManager.submit()}"
                                           rendered="#{s:hasRole('admin_role') and graphmlManager.editMode}"
                                           value="#{messages['gazelle.pam.Submit']}"
                                           render="globalDiv"/>
                        <a4j:commandButton id="backButton"
                                           styleClass="gzl-btn"
                                           execute="@this"
                                           action="#{graphmlListManager.displayCurrentPage()}"
                                           value="#{messages['gazelle.pam.Back']}"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
